#ifndef WRAPSWIN_H
#define WRAPSWIN_H


#include "RMWin.h"

class WrapsWin : public RMWin
{
public:
	WrapsWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(WrapsWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
    BOOL LoadMeshes();
    BOOL LoadTexture();
    void ApplyWraps();
    void ApplyFlat( LPDIRECT3DRMMESHBUILDER );
    void ApplyCylinder( LPDIRECT3DRMMESHBUILDER );
    void ApplySphere( LPDIRECT3DRMMESHBUILDER );
private:
    LPDIRECT3DRMMESHBUILDER box;
    LPDIRECT3DRMMESHBUILDER cyl;
    LPDIRECT3DRMMESHBUILDER sphere;
    D3DRMWRAPTYPE boxwraptype;
    D3DRMWRAPTYPE cylwraptype;
    D3DRMWRAPTYPE spherewraptype;

};


#endif
